Deletes an AI agent permanently. This action cannot be undone. All associated configurations and conversation history will be removed.
DELETE https://services.leadconnectorhq.com/conversation-ai/agents/{agentId}
Autorización
Bearer token generado desde el portal Leadway. Ver Autenticación.
Version
string
default:"2021-07-28"
required
Versión de la API.
Path parameters
agentId
string
default:"EmployeeId123"
required
Conversations AI agent id
Respuestas
200 - Successful response
success
boolean
default:"True"
required
Indicates if the agent was deleted successfully.
id
string
default:"emp_123"
required
Unique identifier of the deleted agent.
{
"success": true,
"id": "emp_123"
}
422 - Unprocessable Entity
Ejemplo
curl -X DELETE 'https://services.leadconnectorhq.com/conversation-ai/agents/YOUR_agentId' \
-H 'Authorization: Bearer YOUR_TOKEN' \
-H 'Version: 2021-07-28'
const response = await fetch('https://services.leadconnectorhq.com/conversation-ai/agents/YOUR_agentId', {
method: 'DELETE',
headers: {
Authorization: `Bearer ${process.env.LEADWAY_TOKEN}`,
Version: '2021-07-28',
},
});
const data = await response.json();
import os, requests
response = requests.request(
'DELETE',
'https://services.leadconnectorhq.com/conversation-ai/agents/YOUR_agentId',
headers={
'Authorization': f"Bearer {os.environ['LEADWAY_TOKEN']}",
'Version': '2021-07-28',
},
)
data = response.json()
<?php
$ch = curl_init('https://services.leadconnectorhq.com/conversation-ai/agents/YOUR_agentId');
curl_setopt_array($ch, [
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => 'DELETE',
CURLOPT_HTTPHEADER => [
'Authorization: Bearer ' . getenv('LEADWAY_TOKEN'),
'Version: 2021-07-28',
],
]);
$data = json_decode(curl_exec($ch), true);